# Class CIM_HeadTailDropQueueBinding
extends CIM_Dependency

This association describes the relationship between a head or tail dropper and the queue that it monitors to determine when to drop traffic. The referenced queue's depth is compared against the Dropper's threshold property. Although the dropper drops from only one queue, the drop decision may be influenced by the state of several queues. The rule for combining the multiple inputs is simple addition: if the sum of the lengths of the monitored queues exceeds the dropper's QueueThreshold value, then packets are dropped. Note that this rule for combining inputs may be overridden.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HeadTailDropQueueBinding

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

This association describes the relationship between a head or tail dropper and the queue that it monitors to determine when to drop traffic. The referenced queue's depth is compared against the Dropper's threshold property. Although the dropper drops from only one queue, the drop decision may be influenced by the state of several queues. The rule for combining the multiple inputs is simple addition: if the sum of the lengths of the monitored queues exceeds the dropper's QueueThreshold value, then packets are dropped. Note that this rule for combining inputs may be overridden.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_HeadTailDropQueueBinding | CIM_QueuingService
Dependent | CIM_HeadTailDropQueueBinding | CIM_HeadTailDropper

## Class Methods